Retail Express API 2.1

inventorymovementlogs

Gets specific Inventory Movement Log by unique id

Gets specific Inventory Movement Log by unique id

get
https://api.retailexpress.com.au/v2.1/inventorymovementlogs/{id}

Path Parameters

idinteger(int32)required

Inventory Movement Log id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Inventory Movement Log

InventoryMovementLogs

Inventory Movement Logs model

* Additional properties are NOT allowed.
idinteger | null(int32)

Inventory Movement Logs identifier

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
productobject

Inventory Movement Logs model

* Additional properties are NOT allowed.
Show Child Parameters
movement_typestring | null

Source type

originstring | null

Origin

commentstring | null

Comment

reference_idstring | null

Reference id

quantity_availableobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_allocatedobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_pickedobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_in_transit_outboundobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_in_transit_inboundobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_receivedobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_requestedobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_onorderobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_faultyobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_onreturnobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_sohobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
buy_price_exobject

Inventory Movement Logs Change model

* Additional properties are NOT allowed.
Show Child Parameters
direct_costs_exobject

Inventory Movement Logs Change model

* Additional properties are NOT allowed.
Show Child Parameters
cogs_exobject

Inventory Movement Logs Change model

* Additional properties are NOT allowed.
Show Child Parameters
total_cogs_exobject

Inventory Movement Logs Change model

* Additional properties are NOT allowed.
Show Child Parameters
get/inventorymovementlogs/{id}
 
application/json

Searches Inventory Movement Logs

Searches Inventory Movement Logs

get
https://api.retailexpress.com.au/v2.1/inventorymovementlogs

Query Parameters

plustring | null

Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If specified, product_id, product_supplier_sku, product_short_description, product_type_name, supplier_id filters are ignored.

reference_idsstring | null

Reference Id or Collection of Reference Ids (comma separated). If specified, plu, product_id, product_supplier_sku, product_short_description filters are ignored. movement_types is optional and can only contain single value.
Example: 1,5,7,23-00000001

movement_typesstring | null

Movement Type or Collection of Movement Types (comma separated).
Example: PO,Invoice

filter_bystring | null

Filter by.

Available field name values: id, created_on, outlet_id, outlet_name, country_id, store_type_id, product_id, product_supplier_sku, product_short_description, product_type_name, supplier_id, supplier_code, supplier_name, origin, comment, quantity_available_before, quantity_available_delta, quantity_available_after, quantity_allocated_before, quantity_allocated_delta, quantity_allocated_after, quantity_picked_before, quantity_picked_delta, quantity_picked_after, quantity_in_transit_outbound_before, quantity_in_transit_outbound_delta, quantity_in_transit_outbound_after, quantity_in_transit_inbound_before, quantity_in_transit_inbound_delta, quantity_in_transit_inbound_after, quantity_received_before, quantity_received_delta, quantity_received_after, quantity_requested_before, quantity_requested_delta, quantity_requested_after, quantity_onorder_before, quantity_onorder_delta, quantity_onorder_after, quantity_faulty_before, quantity_faulty_delta, quantity_faulty_after, quantity_onreturn_before, quantity_onreturn_delta, quantity_onreturn_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, cogs_ex_before, cogs_ex_change, cogs_ex_after, quantity_soh_before, quantity_soh_delta, quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change, total_cogs_ex_after.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124002

order_bystring | null

Order by.

Available field name values: id, created_on, outlet_name, product_id, product_supplier_sku, product_short_description, product_type_name, movement_type, supplier_code, supplier_name, origin, comment, reference_id, quantity_available_before, quantity_available_delta, quantity_available_after, quantity_allocated_before, quantity_allocated_delta, quantity_allocated_after, quantity_picked_before, quantity_picked_delta, quantity_picked_after, quantity_in_transit_outbound_before, quantity_in_transit_outbound_delta, quantity_in_transit_outbound_after, quantity_in_transit_inbound_before, quantity_in_transit_inbound_delta, quantity_in_transit_inbound_after, quantity_received_before, quantity_received_delta, quantity_received_after, quantity_requested_before, quantity_requested_delta, quantity_requested_after, quantity_onorder_before, quantity_onorder_delta, quantity_onorder_after, quantity_faulty_before, quantity_faulty_delta, quantity_faulty_after, quantity_onreturn_before, quantity_onreturn_delta, quantity_onreturn_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, cogs_ex_before, cogs_ex_change, cogs_ex_after, quantity_soh_before, quantity_soh_delta, quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change, total_cogs_ex_after.

Available direction values: asc, desc.

Example: id asc, created_on desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Inventory Movement Logs data

InventoryMovementLogs.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Inventory Movement Logs model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/inventorymovementlogs
 
application/json

loyaltyadjustmentreasons

Searches Loyalty Adjustment Reasons by parameters

Searches Loyalty Adjustment Reasons by parameters

get
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons

Query Parameters

filter_bystring | null

Filter by.
Available field name values: id, name, is_system, is_deleted

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: name:eq:reason name, is_system:eq:true

order_bystring | null

Order by.

Available field name values: id, name, is_system, is_deleted

Available direction values: asc, desc.

Example: id asc, name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Loyalty Adjustment Reasons data

LoyaltyAdjustmentReason.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/loyaltyadjustmentreasons
 
application/json